System.ServiceModel 4.0.0.0 System.ServiceModel.IExtensibleObject<T> System.Collections.Generic.ICollection<System.ServiceModel.IExtension<T>> System.Collections.Generic.IEnumerable<System.ServiceModel.IExtension<T>> To be added. To be added.

A collection of the objects that allow for retrieving the by its type.

- Method
  4.0.0.0
  E

  returns an extension that implements (is or derives from) the specified type. If more than one extension implements the specified type, one is returned. The indigo2 implementation returns the most recently added, but this is not required of implementations. If no extension implements the specified type, returns null.

  Finds the specified extension object in the collection.

  The extension object that was found.

  The type of extension object.
- Method
  4.0.0.0
  System.Collections.ObjectModel.Collection<E> To be added.

  Finds all extension object in the collection specified by .

  A collection of all extension objects in the collection that implement the specified type.

  The type of extension object.